跳到主要内容

列出 Storage Integration (V2)

This operation lists bucket storage integrations in a project. It returns public storage integration statuses only.

GET/v2/storageIntegrations
连接端点

该 API 的 Base URL 格式如下:

https://${CLUSTER_ENDPOINT}

📘说明
  • 你需要填入您的 Zilliz Cloud 集群的 ${CLUSTER_ENDPOINT}
  • 您可以使用 查看集群详情 V2 来获取集群的 Endpoint.
export CLUSTER_ENDPOINT=""
参数
Authorizationstringheaderrequired

认证令牌,应为具备适当权限的 API 密钥。

示例值:Bearer {{TOKEN}}
projectIdstringqueryrequired

项目 ID。

示例值:proj-xxxxxxxxxxxxxxxxxxxxxx
currentPageintegerquery

当前页码。

示例值:1
pageSizeintegerquery

每次返回的记录数。

示例值:10
export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request GET \
--url "${CLUSTER_ENDPOINT}/v2/storageIntegrations?projectId=proj-xxxxxxxxxxxxxxxxxxxxxx" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
响应200 - application/json

成功响应。

codeinteger

响应码。

示例值:0
dataobject
storageIntegrationsarray

当前页的 Storage Integration 概览。

[]storageIntegrationsobject
integrationIdstring

Storage Integration ID。

namestring

Storage Integration 名称。

statusstring

Storage Integration 的公开状态。

messagestring

状态信息。没有状态信息时为空字符串。

regionIdstring

地域 ID。

bucketNamestring

Bucket、容器或存储名称。

countinteger

过滤后的可见 Storage Integration 总数。

currentPageinteger

当前页码。

pageSizeinteger

每页数量。

失败响应。

codeinteger

响应码。

示例值:1800
messagestring

错误信息。

示例值:User hasn't authenticated
{
"code": 0,
"data": {
"storageIntegrations": [
{
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-oss",
"status": "ACTIVE",
"message": "",
"regionId": "ali-cn-hangzhou",
"bucketName": "my-oss-bucket"
}
],
"count": 1,
"currentPage": 1,
"pageSize": 10
}
}
{
"code": 1800,
"message": "User hasn't authenticated"
}